List Transactions
Retrieve a paginated list of financial transactions (invoices, payments, credit notes, refunds) for the authenticated lab. Supports filtering by type, clinic, and date range.
Retrieve a paginated list of financial transactions (invoices, payments, credit notes, refunds) for the authenticated lab. Supports filtering by type, clinic, and date range.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
20type?string
search?string
clinicId?string
partnershipId?string
Length
1 <= lengthcurrency?string
Value in
- "GBP"
- "EUR"
- "USD"
- "CAD"
- "AUD"
- "NZD"
- "CHF"
- "SEK"
- "NOK"
- "DKK"
- "PLN"
- "CZK"
- "HUF"
- "RON"
- "INR"
- "JPY"
- "CNY"
- "SGD"
- "HKD"
- "MXN"
- "BRL"
- "ZAR"
dateFrom?string
dateTo?string
sortBy?string
Default
"transactionDate"Value in
- "transactionDate"
- "createdAt"
- "amount"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
curl -X GET "https://example.com/transactions"{ "data": [ null ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}{ "error": "string"}